BZip2DummyCompressor (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.compress.bzip2
Class BZip2DummyCompressor

    java.lang.Object
      org.apache.hadoop.io.compress.bzip2.BZip2DummyCompressor

All Implemented Interfaces:
  Compressor

    public class BZip2DummyCompressor

extends Object
implements Compressor

This is a dummy compressor for BZip2.

Constructor Summary
`BZip2DummyCompressor()`

Method Summary
`int` | `compress(byte[] b, int off, int len)` Fills specified buffer with compressed data.
`void` | `end()` Closes the compressor and discards any unprocessed input.
`void` | `finish()` When called, indicates that compression should end with the current contents of the input buffer.
`boolean` | `finished()` Returns true if the end of the compressed data output stream has been reached.
`long` | `getBytesRead()` Return number of uncompressed bytes input so far.
`long` | `getBytesWritten()` Return number of compressed bytes output so far.
`boolean` | `needsInput()` Returns true if the input data buffer is empty and #setInput() should be called to provide more input.
`void` | `reinit(Configuration conf)` Prepare the compressor to be used in a new stream with settings defined in the given Configuration
`void` | `reset()` Resets compressor so that a new set of input data can be processed.
`void` | `setDictionary(byte[] b, int off, int len)` Sets preset dictionary for compression.
`void` | `setInput(byte[] b, int off, int len)` Sets input data for compression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BZip2DummyCompressor

    public BZip2DummyCompressor()

Method Detail

### compress

    public int compress(byte[] b,
                        int off,
                        int len)
                 throws IOException

  Description copied from interface: `Compressor`
  Fills specified buffer with compressed data. Returns actual number of bytes of compressed data. A return value of 0 indicates that needsInput() should be called in order to determine if more input data is required.

  Specified by:
    `compress` in interface `Compressor`
  Parameters:
    `b` - Buffer for the compressed data
    `off` - Start offset of the data
    `len` - Size of the buffer
  Returns:
    The actual number of bytes of compressed data.
  Throws:
    `IOException`

### end

    public void end()

  Description copied from interface: `Compressor`
  Closes the compressor and discards any unprocessed input.

  Specified by:
    `end` in interface `Compressor`

### finish

    public void finish()

  Description copied from interface: `Compressor`
  When called, indicates that compression should end with the current contents of the input buffer.

  Specified by:
    `finish` in interface `Compressor`

### finished

    public boolean finished()

  Description copied from interface: `Compressor`
  Returns true if the end of the compressed data output stream has been reached.

  Specified by:
    `finished` in interface `Compressor`
  Returns:
    `true` if the end of the compressed data output stream has been reached.

### getBytesRead

    public long getBytesRead()

  Description copied from interface: `Compressor`
  Return number of uncompressed bytes input so far.

  Specified by:
    `getBytesRead` in interface `Compressor`

### getBytesWritten

    public long getBytesWritten()

  Description copied from interface: `Compressor`
  Return number of compressed bytes output so far.

  Specified by:
    `getBytesWritten` in interface `Compressor`

### needsInput

    public boolean needsInput()

  Description copied from interface: `Compressor`
  Returns true if the input data buffer is empty and #setInput() should be called to provide more input.

  Specified by:
    `needsInput` in interface `Compressor`
  Returns:
    `true` if the input data buffer is empty and #setInput() should be called in order to provide more input.

### reset

    public void reset()

  Description copied from interface: `Compressor`
  Resets compressor so that a new set of input data can be processed.

  Specified by:
    `reset` in interface `Compressor`

### setDictionary

    public void setDictionary(byte[] b,
                              int off,
                              int len)

  Description copied from interface: `Compressor`
  Sets preset dictionary for compression. A preset dictionary is used when the history buffer can be predetermined.

  Specified by:
    `setDictionary` in interface `Compressor`
  Parameters:
    `b` - Dictionary data bytes
    `off` - Start offset
    `len` - Length

### setInput

    public void setInput(byte[] b,
                         int off,
                         int len)

  Description copied from interface: `Compressor`
  Sets input data for compression. This should be called whenever #needsInput() returns `true` indicating that more input data is required.

  Specified by:
    `setInput` in interface `Compressor`
  Parameters:
    `b` - Input data
    `off` - Start offset
    `len` - Length

### reinit

    public void reinit(Configuration conf)

  Description copied from interface: `Compressor`
  Prepare the compressor to be used in a new stream with settings defined in the given Configuration

  Specified by:
    `reinit` in interface `Compressor`
  Parameters:
    `conf` - Configuration from which new setting are fetched

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation